export class BattleRandom {
    /**
     * 伪随机数种子
     */
    private static randomSeed = 0;

    public static init(seed: number): void {
        this.randomSeed = seed;
    }

    /**
     * 伪随机(不包含最大值)
     */
    public static random(number: number = 10000): number {
        this.randomSeed = (this.randomSeed * 9301 + 49297) % 233280;
        return Math.floor(this.randomSeed / (233280.0) * number);
    }
}