
import { _decorator, Component, Node, SystemEventType } from 'cc';
import { FrameUtils } from '../../frame/FrameUtils';
import { CustomEventListener } from '../event/CustomEventListener';
import { EventName } from '../event/EventName';
const { ccclass, property } = _decorator;

@ccclass('StartUICtrl')
export class StartUICtrl extends Component {
    // public MAIN: any = null;

    // public _matchingNode: cc.Node = null;
    // public _matchingLabel: cc.Node = null;
    public _startBtn: Node | null = null;
    // private lockSubmit: boolean = false;
    // private timer = undefined;

    onLoad() {
        FrameUtils.bindNode(this.node, this);
    }
    start() {
        this._initListener();

    }


    // update(dt) {

    // }
    private _initListener() {
        this._startBtn?.on(SystemEventType.TOUCH_END, () => {
            CustomEventListener.dispatchEvent(EventName.ShowMatchingUI);
        });
    }
    // private iNiListner() {
    //     this._startBtn.on(cc.Node.EventType.TOUCH_END, this.sTartGamFunc.bind(this));
    // }

    // public sTartGamFunc() {
    //     this._startBtn.active = false;
    //     this._matchingNode.active = true;

    //     this.onMatchNodeClick();
    // }

    // onMatchNodeClick() {
    //     if (!isInited()) {
    //         console.log('正在初始化SDK，请稍等...');
    //         return;
    //     }
    //     !this.lockSubmit && this.matchPlayers(configs.matchCode);
    // }

    // // SDK 随机匹配
    // matchPlayers(matchCode: string) {
    //     if (!matchCode) {
    //         console.log('请输入正确的匹配 Code');
    //     }
    //     let R_DATA = RoomData.getInstance();

    //     this.lockSubmit = true;
    //     this.timer = MyTimer.schedule(() => console.log('正在随机匹配，请稍等。'), 1000, -1);
    //     console.log(`正在随机匹配，匹配Code：${matchCode}。请稍等...`);
    //     // 注意：这里没有使用匹配属性，如果匹配规则中有设置匹配属性，这里需要做调整
    //     const matchAttributes: MGOBE.types.MatchAttribute[] = [];
    //     const playerInfo: MGOBE.types.MatchPlayerInfoPara = {
    //         name: "测试玩家",
    //         customPlayerStatus: 0,
    //         customProfile: "",
    //         matchAttributes,
    //     };
    //     const matchPlayersPara: MGOBE.types.MatchPlayersPara = {
    //         matchCode,
    //         playerInfo,
    //     };

    //     R_DATA.room.initRoom();
    //     R_DATA.room.matchPlayers(matchPlayersPara, event => {
    //         this.lockSubmit = false;
    //         clearInterval(this.timer);

    //         if (event.code === MGOBE.ErrCode.EC_OK) {
    //             R_DATA.roomId = event.data.roomInfo.id;
    //             R_DATA.cReaTime = event.data.roomInfo.createTime;
    //             console.log(`随机匹配成功，房间ID：${event.data.roomInfo.id}`);
    //             this.MAIN.openBattleNode();
    //         } else {
    //             console.error(`随机匹配失败，错误码：${event.code}`);

    //         }
    //     });
    // }
}
