class BombData {
    /**
     * 单例
     */
    private static singleInstance: BombData | null = null;
    static getInstance(): BombData {
        if (BombData.singleInstance == null) {
            BombData.singleInstance = new BombData();
        }
        return BombData.singleInstance;
    }

    public static delInsTan() {
        BombData.singleInstance = null;
    }

    /**
     * 炸弹初始化的逻辑帧id
     */
    public initFrameID: number = 0;
    /**
     * 是否初始化炸弹
     */
    public iSinitBomb: boolean = false;

    constructor() {
        this.iSinitBomb = false;
    }

    public explore(id: number): boolean {
        return id - this.initFrameID >= BombFrameCnt;
    }

}

const BombFrameCnt: number = 30 * 20;

export {
    BombData,
    BombFrameCnt
}