import configs from "../cfg/configs";

class GameData {
    /**
     * 单例
     */
    private static singleInstance: GameData | null = null;
    static getInstance(): GameData {
        if (GameData.singleInstance == null) {
            GameData.singleInstance = new GameData();
        }
        return GameData.singleInstance;
    }

    public static delInsTan() {
        GameData.singleInstance = null;
    }

    /**
     * 
     */
    // 首页游戏Key
    public secretKey: string = "";
    // 首页域名
    public url: string = "";
    // 游戏ID
    public gameId: string = "";

    public gameCfg() {
        this.gameId = configs.gameId;
        this.secretKey = configs.secretKey;
        this.url = configs.url;
    }
}

export {
    GameData
}