class RoomData {
    /** 房间ID */
    public roomId: string = "";

    /** 房间创建时间，由后端发送 */
    public cReaTime: number = 0;

    private _playerIds: Array<string> | null = null;

    /**
     * 单例
     */
    private static singleInstance: RoomData | null = null;
    static getInstance(): RoomData {
        if (RoomData.singleInstance == null) {
            RoomData.singleInstance = new RoomData();
        }
        return RoomData.singleInstance;
    }

    public static delInsTan() {
        let R_DATA = RoomData.getInstance();
        R_DATA.roomId = '';
        R_DATA.cReaTime = 0;
    }

    constructor() {
        this.roomId = '';
        this.cReaTime = 0;
        this._playerIds = [];
        /**
         * 
         */
        console.warn('这里是测试代码，接入后端逻辑后需要做修改。');
        this._playerIds[0] = 'hbc';
    }

    public getPlayersIDs(): Array<string> | null {
        return this._playerIds;
    }
}

const PlayerMaxCNT: number = 1;    // 游戏玩家人数

export {
    RoomData,
    PlayerMaxCNT

}